Listar webhooks
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/webhooks \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/webhooks"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"active": true,
"name": "Webhook de integração com CRM",
"url": "https://suaurl.com/api/webhooks",
"secret_key": "<string>",
"events": {
"data": [
{
"name": "<string>",
"description": "<string>"
}
]
},
"products": {
"data": [
{
"id": 123,
"merchant_id": 123,
"seller_id": 123,
"affiliation_id": 123,
"erp_id": 123,
"relevance": 123,
"active": true,
"gift_value": "<string>",
"searchable": true,
"simple": true,
"ncm": "<string>",
"has_variations": true,
"is_digital": true,
"warranty": 123,
"custom_shipping": true,
"shipping_price": "<string>",
"name": "<string>",
"slug": "<string>",
"sku": "<string>",
"rating": 123,
"priority": 123,
"url": "<string>",
"redirect_url_card": "<string>",
"redirect_url_billet": "<string>",
"preview_url": "<string>"
}
]
},
"disabled_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"meta": {
"pagination": {
"total": "10",
"count": "30",
"per_page": "10",
"current_page": "1",
"total_pages": "3",
"links": {
"previous": "",
"next": ""
}
}
}
}Webhooks
Listar webhooks
Retorna uma lista de webhooks
GET
/
{alias}
/
webhooks
Listar webhooks
Path Parameters
Alias da loja
Response
Lista de webhooks
Representa uma paginação com meta
ID do webhook.
Indica se o webhook está ativo e recebendo os eventos assinados.
Nome do webhook
Example:
"Webhook de integração com CRM"
URL para onde os eventos serão enviados
Example:
"https://suaurl.com/api/webhooks"
Chave secreta de 40 caracteres usada para gerar a assinatura HMAC enviada nas requisições do webhook, permitindo validar a origem do evento.
Eventos assinados pelo webhook.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Metadados da resposta.
Show child attributes
Show child attributes
Was this page helpful?